StatisticsGet Stream Statistics

Get Stream Statistics

Returns the details of a push stream statistics

curl -X GET "https://api.5centscdn.com/v2/streams/push/1001/statistics" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY"
[
  {
    "fs": {
      "name": "sample/stream",
      "status": "Alive",
      "bitrate": "902.76kbps",
      "primary": true,
      "time": "20573d 07:29:20",
      "publish_time": "1 hour ago",
      "publisher_ip": "203.0.113.1",
      "video": {
        "size": "1920x1080",
        "bitrate": "767.34kbps",
        "codec": "avc1.64002a",
        "profile": "-",
        "level": "-"
      },
      "audio": {
        "codec": "mp4a.40.2",
        "bitrate": "135.41kbps"
      }
    },
    "status": "Enabled",
    "lastseen": "8 seconds ago"
  }
]
GET
/streams/push/{streamid}/statistics
GET
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Path Parameters

streamidstring
Required

Stream ID

Example:
1001

Responses

fsobject

Live ingest stream statistics from the media server.

statusstring

Current deployment or operational status of the stream.

lastseenstring

Elapsed time since the stream was last detected as active.